cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Types.InstalledPreference

Synopsis

- data InstalledPreference
  - = PreferInstalled
  - | PreferLatest
  - | PreferOldest

# Documentation

data InstalledPreference Source #

Whether we prefer an installed version of a package or simply the latest version.

Constructors

PreferInstalled |
PreferLatest |
PreferOldest |

#### Instances

Instances details

Show InstalledPreference Source # |
Instance details Defined in Distribution.Solver.Types.InstalledPreference Methods showsPrec :: Int -> InstalledPreference -> ShowS Source # show :: InstalledPreference -> String Source # showList :: [InstalledPreference] -> ShowS Source #